package com.ruoyi.project.pssr.service;

import com.ruoyi.project.pssr.domain.TPssrMaterialRaw;

import java.util.List;

/**
 * 原料Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrMaterialRawService 
{
    /**
     * 查询原料
     * 
     * @param id 原料ID
     * @return 原料
     */
    public TPssrMaterialRaw selectTPssrMaterialRawById(Long id);
    public int selectNoConfirmCount(Long subId);
    public TPssrMaterialRaw selectAllConfirmedPersonBySubId(TPssrMaterialRaw tPssrMaterialRaw);

    /**
     * 查询原料列表
     * 
     * @param tPssrMaterialRaw 原料
     * @return 原料集合
     */
    public List<TPssrMaterialRaw> selectTPssrMaterialRawList(TPssrMaterialRaw tPssrMaterialRaw);

    /**
     * 新增原料
     * 
     * @param tPssrMaterialRaw 原料
     * @return 结果
     */
    public int insertTPssrMaterialRaw(TPssrMaterialRaw tPssrMaterialRaw);

    /**
     * 修改原料
     * 
     * @param tPssrMaterialRaw 原料
     * @return 结果
     */
    public int updateTPssrMaterialRaw(TPssrMaterialRaw tPssrMaterialRaw);
    public int updateAllBySubId(TPssrMaterialRaw tPssrMaterialRaw);

    /**
     * 批量删除原料
     * 
     * @param ids 需要删除的原料ID
     * @return 结果
     */
    public int deleteTPssrMaterialRawByIds(Long[] ids);

    /**
     * 删除原料信息
     * 
     * @param id 原料ID
     * @return 结果
     */
    public int deleteTPssrMaterialRawById(Long id);
}
